package com.dci.t100.run;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import com.dci.t100.run.RunAPS;
import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.util.StringTokenizer;

class RunAPSThread extends Thread {
  String javaParam = "-Xms512M -Xmx1500M";
  
  String jarName = "T100APS.jar";
  
  String xml;
  
  public RunAPSThread(String xml) {
    this.xml = xml;
  }
  
  public void run() {
    Runtime rt = Runtime.getRuntime();
    System.out.println("XML:" + this.xml);
    String cmd = "java " + this.javaParam + " -jar " + this.jarName;
    System.out.println("Cmd:" + cmd + " " + this.xml);
    StringTokenizer st = new StringTokenizer(cmd);
    String[] cmdArray = new String[st.countTokens() + 1];
    int idx = 0;
    while (st.hasMoreTokens()) {
      String in = st.nextToken();
      cmdArray[idx++] = in;
    } 
    cmdArray[idx] = this.xml;
    try {
      Process p = rt.exec(cmdArray);
      if (p != null) {
        BufferedReader br = new BufferedReader(new InputStreamReader(p.getInputStream()));
        String line = null;
        while ((line = br.readLine()) != null) {
          System.out.println(line);
          System.out.flush();
        } 
        br.close();
        br = new BufferedReader(new InputStreamReader(p.getErrorStream()));
        line = null;
        while ((line = br.readLine()) != null) {
          System.out.println(line);
          System.out.flush();
        } 
        br.close();
        p.waitFor();
        p.destroy();
        p = null;
      } 
    } catch (IOException e) {
      e.printStackTrace();
    } catch (InterruptedException e) {
      e.printStackTrace();
    } catch (Exception e) {
      e.printStackTrace();
    } 
  }
}
